Subject: Re: bug#23083: Reverting pdf in Multifile tex document

From: Waleed Yousef <[email-masked]>
Date: Sun, 27 Mar 2016 18:06:22 +0000

Thanks so much;

I got the update and it works great;

Tassilo Horn <[email-masked]> writes:

> Waleed Yousef <[email-masked]> writes:
>
> Hi Waleed,
>
>> For details and clarification, I will give two scenarios; S1 is
>> working fine, and S2 is the one with the problem:
>
> Thanks a lot for the great recipe which made it rather easy to spot the
> bug.  AUCTeX always called pdf-tool's sync function with the master
> file, not the current file.  That should be fixed now and I took the
> chance to release a new GNU AUCTeX version (11.89.2) via ELPA.  It
> should be listed in `M-x list-packages' within the next 24 hours.
>
>> The weird thing is that, this strange behavior just appeared after
>> Archlinux and emacs update last month (I do not know which is
>> responsible for that)
>
> I checked the code and its revisions, and that wrong behavior has been
> there for quite a long time.  I think, I've introduced that bug on
> February 2015.  So in case you've used an older version and recently
> upgraded to a newer AUCTeX version, that might have been the problem (or
> actually a good thing since you've spotted the bug).
>
> BTW, in case you don't already know, if you use PDF Tools as viewer,
> it's usually a good idea to also add
>
>   (add-hook 'TeX-after-compilation-finished-functions
>              #'TeX-revert-document-buffer)
>
> to your ~/.emacs.  That will revert the pdf-view buffer as soon as the
> LaTeX compilation finishes so you don't have to do that manually.
>
> Bye,
> Tassilo